'''
..
  File: aux.py
  generated: 2024-10-15T23:37:42+02:00
  generator: org.clazzes.remoting.remoting-maven-plugin-1.5.0-SNAPSHOT.
  Note: Use 'mvn process-sources' to regenerate this file.
'''

from clazzes.remoting.serializer import JavaObject
from clazzes.remoting.throwable import RuntimeException
from collections.abc import Sequence
from clazzes.remoting.serializer import Serializer


class InvalidTargetException(RuntimeException):
    __slots__ = ()
    '''
      This exception is thrown when an invalid subsystem name or
      callback UID is specified.

      @author wglas
    '''
    @staticmethod
    def getSerialID():
        return "org.clazzes.remoting.InvalidTargetException"

    @staticmethod
    def getSerialVersionUID():
        return -5472657282999255317


class RemoteInvocation(JavaObject):
    __slots__ = ("arguments","methodName")
    '''
      The very bare and simple remote invocation DTO.

      @author wglas
    '''
    methodName: str
    arguments: Sequence[object]

    @staticmethod
    def getSerialID():
        return "org.clazzes.remoting.RemoteInvocation"

    @staticmethod
    def getSerialVersionUID():
        return -7085209811883923660

    def __init__(self):
        self.arguments = None
        self.methodName = None

    def writeFields(self,srlzr:Serializer):
        srlzr.writeObjectArray("arguments","java.lang.Object",self.arguments)
        srlzr.writeObject("methodName",self.methodName)

    def readFields(self,srlzr:Serializer, serialVersionUID:int):  # @UnusedVariable
        self.arguments = srlzr.readObjectArray("arguments","java.lang.Object")
        self.methodName = srlzr.readObject("methodName")

class RemoteInvocationFailureException(RuntimeException):
    __slots__ = ()
    '''
      This exception is thrown whenever a remote invocation fails due to an invalid
      command being received on the wire.

      @author wglas
    '''
    @staticmethod
    def getSerialID():
        return "org.clazzes.remoting.RemoteInvocationFailureException"

    @staticmethod
    def getSerialVersionUID():
        return -1027764732894686603


SERIAL_IDS = {
    InvalidTargetException.getSerialID(): InvalidTargetException,
    RemoteInvocation.getSerialID(): RemoteInvocation,
    RemoteInvocationFailureException.getSerialID(): RemoteInvocationFailureException
}
